v1.0
post
/ec-site-svc/rest/v1.0/tenantsite/associations/{associationId}/studySites
Creates the study sites for the given association ID.
Request
Path Parameters
-
associationId(required): string
Association ID to create the study sites.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Supported Media Types
- application/json
Root Schema : STUDY_SITES_REQUEST_TITLE
Type:
objectTitle:
STUDY_SITES_REQUEST_TITLESTUDY_SITES_REQUEST_DESC
Show Source
-
studySites: object
CREATE_STUDY_SITES_DTO_TITLE
Title:
CREATE_STUDY_SITES_DTO_TITLECREATE_STUDY_SITES_DTO_DESC
Nested Schema : CREATE_STUDY_SITES_DTO_TITLE
Type:
objectTitle:
CREATE_STUDY_SITES_DTO_TITLECREATE_STUDY_SITES_DTO_DESC
Show Source
-
comment: string
Title:
CommentMinimum Length:0Maximum Length:2048Additional comment captured for the audited update.Example:Association adjusted after data reconciliation. -
id: string
(uuid)
Title:
CREATE_STUDY_SITES_DTO_ID_TITLECREATE_STUDY_SITES_DTO_ID_DESC -
modeId(required): string
(uuid)
Title:
CREATE_STUDY_SITES_DTO_MODE_ID_TITLECREATE_STUDY_SITES_DTO_MODE_ID_DESC -
reason: string
Title:
ReasonMinimum Length:0Maximum Length:255Reason provided for the audited update.Example:Protocol update requested by study operations. -
siteIdName(required): string
Title:
CREATE_STUDY_SITES_DTO_SITE_ID_NAME_TITLEMinimum Length:0Maximum Length:50CREATE_STUDY_SITES_DTO_SITE_ID_NAME_DESCExample:SITE-123 -
statusId: string
(uuid)
Title:
CREATE_STUDY_SITES_DTO_STATUS_ID_TITLECREATE_STUDY_SITES_DTO_STATUS_ID_DESC -
studyId(required): string
(uuid)
Title:
CREATE_STUDY_SITES_DTO_STUDY_ID_TITLECREATE_STUDY_SITES_DTO_STUDY_ID_DESC
Example:
[
{
"id":"C36A3197FDEE433FB5547EE83DE99E4B"
}
]Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : SDFResponse
Type:
objectTitle:
SDFResponseWrapper for service responses containing result or error data.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
The result object for successful requests. Type depends on the API operation.
-
status: string
Status of the response, either 'success' or an error indication.Example:
success
Nested Schema : result
Type:
objectThe result object for successful requests. Type depends on the API operation.
Example:
{
"hasMore":"true",
"totalResults":5,
"count":5,
"data":[
]
}Nested Schema : details
Type:
objectExamples
400 Response
Returned when one or more path parameters, query parameters, or request-body values fail endpoint validation.
Root Schema : SDFResponse
Type:
objectTitle:
SDFResponseWrapper for service responses containing result or error data.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
The result object for successful requests. Type depends on the API operation.
-
status: string
Status of the response, either 'success' or an error indication.Example:
success
Nested Schema : result
Type:
objectThe result object for successful requests. Type depends on the API operation.
Example:
{
"hasMore":"true",
"totalResults":5,
"count":5,
"data":[
]
}Nested Schema : details
Type:
objectExamples